<template>
  <div v-if="data.items" class="edito-section">
    <div class="info text--primary">
      <ProductLabel class="edito-label">
        {{ data.items.category }}
      </ProductLabel>
      <AppTitle class="title" :title="data.items.title" />
      <p class="content" v-html="data.items.description"></p>
      <a :href="data.items.url" @click.prevent="clickButton">
        <AppButton :theme="btnTheme">
          {{ btnText }}
        </AppButton>
      </a>
    </div>
    <div class="img" :style="`background-image:url('${image}')`">
      <div class="mobile-title">{{ data.items.title }}</div>
    </div>
  </div>
</template>

<script>
import ProductLabel from '@/components/ui/ProductLabel'
import AppTitle from '@/components/ui/AppTitle'
import AppButton from '@/components/ui/AppButton'

export default {
  components: {
    ProductLabel,
    AppTitle,
    AppButton
  },
  props: {
    data: {
      type: Object,
      required: true
    }
  },

  data() {
    return {
      gtmPushedPromos: []
    }
  },

  computed: {
    image() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/${this.data.items.modelName}/${this.data.items.id}.jpg?v=${this.data.items.version}`
    },
    btnTheme() {
      return this.$utils.aboArea() ? 'secondary' : ''
    },
    btnText() {
      if (this.data.items.btnText === null) {
        return this.$t('common.find_out_more')
      }
      return this.data.items.btnText
    }
  },

  mounted() {
    this.updateGtmData()
  },

  methods: {
    updateGtmData() {
      if (!process.client) return

      // push promo event
      if (this.data.items) {
        const { id, title } = this.data.items
        if (this.gtmPushedPromos.indexOf(id) < 0) {
          const promoObj = this.$utils.gtmAdvEcommerceCreatePromoObj(
            id,
            title,
            'edito',
            1
          )
          const evt = this.$utils.gtmAdvEcommerceCreatePromoImpressionEvent([
            promoObj
          ])
          this.$utils.gtmEvent(evt)
        }
      }
    },

    clickButton() {
      const { id, title } = this.data.items
      const promoObj = this.$utils.gtmAdvEcommerceCreatePromoObj(
        id,
        title,
        'edito',
        1
      )
      const evt = this.$utils.gtmAdvEcommerceCreatePromoClickEvent(promoObj)
      this.$utils.gtmEvent(evt, this.data.items.url)
    }
  }
}
</script>

<style lang="scss" scoped>
.edito-section {
  display: flex;
  background: #f8f8f8;
  max-width: 1360px;
  margin: auto;
  margin-bottom: 36px;

  @media (max-width: 768px) {
    position: relative;
    flex-direction: column-reverse;
  }

  .info {
    flex: 1;
    padding: 2rem;

    .title {
      margin-top: 1.5rem;
      margin-bottom: 1rem;
    }

    .content {
      margin-bottom: 1rem;
    }

    @media (max-width: 768px) {
      .edito-label {
        z-index: 1;
        position: absolute;
        left: 0;
        top: 1rem;
      }

      .title {
        display: none;
      }
    }
  }
  .img {
    flex: 1;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;

    .mobile-title {
      display: none;
    }

    @media (max-width: 768px) {
      position: relative;
      min-height: 320px;

      .mobile-title {
        position: absolute;
        display: block;
        left: 0;
        bottom: 0;
        width: 100%;
        background-color: rgba(39, 38, 38, 0.5);
        color: #fff;
        text-align: center;
        font-size: 32px;
        font-weight: bold;
        font-family: DINCond-Bold;
        padding: 1rem;
      }
    }
  }
}
</style>
